Gecode::SearchTracer::EngineInfo Class Reference

Information about an engine. More...

`#include <search.hh>`

## Public Member Functions

| EngineInfo (void)
| Do not initialize.
| EngineInfo (EngineType et, unsigned int fst, unsigned int lst)
| Initialize.

## Protected Attributes

EngineType | _type
| The engine type.
unsigned int | _fst
| First worker or engine.
unsigned int | _lst
| Last worker or engine.

## Engine type information

EngineType | type (void) const
| Return engine type.
bool | meta (void) const
| Return whether engine is a meta engine.

## Information for basic (non-meta) engines

unsigned int | wfst (void) const
| Return id of first worker.
unsigned int | wlst (void) const
| Return id of last worker plus one.
unsigned int | workers (void) const
| Return number of workers.

## Information for meta engines

unsigned int | efst (void) const
| Return id of first engine.
unsigned int | elst (void) const
| Return id of last engine.
unsigned int | engines (void) const
| Return number of engines.

## Detailed Description

Information about an engine.

Definition at line 202 of file search.hh.

## Constructor & Destructor Documentation

## EngineInfo() [1/2]

Gecode::SearchTracer::EngineInfo::EngineInfo | ( | void |  | ) |

inline

Do not initialize.

Definition at line 43 of file tracer.hpp.

## EngineInfo() [2/2]

Gecode::SearchTracer::EngineInfo::EngineInfo | ( | EngineType | et,
|  | unsigned int | fst,
|  | unsigned int | lst )

inline

Initialize.

Definition at line 46 of file tracer.hpp.

## Member Function Documentation

## type()

SearchTracer::EngineType Gecode::SearchTracer::EngineInfo::type | ( | void |  | ) | const

inline

Return engine type.

Definition at line 51 of file tracer.hpp.

## meta()

bool Gecode::SearchTracer::EngineInfo::meta | ( | void |  | ) | const

inline

Return whether engine is a meta engine.

Definition at line 56 of file tracer.hpp.

## wfst()

unsigned int Gecode::SearchTracer::EngineInfo::wfst | ( | void |  | ) | const

inline

Return id of first worker.

Definition at line 61 of file tracer.hpp.

## wlst()

unsigned int Gecode::SearchTracer::EngineInfo::wlst | ( | void |  | ) | const

inline

Return id of last worker plus one.

Definition at line 68 of file tracer.hpp.

## workers()

unsigned int Gecode::SearchTracer::EngineInfo::workers | ( | void |  | ) | const

inline

Return number of workers.

Definition at line 75 of file tracer.hpp.

## efst()

unsigned int Gecode::SearchTracer::EngineInfo::efst | ( | void |  | ) | const

inline

Return id of first engine.

Definition at line 80 of file tracer.hpp.

## elst()

unsigned int Gecode::SearchTracer::EngineInfo::elst | ( | void |  | ) | const

inline

Return id of last engine.

Definition at line 86 of file tracer.hpp.

## engines()

unsigned int Gecode::SearchTracer::EngineInfo::engines | ( | void |  | ) | const

inline

Return number of engines.

Definition at line 92 of file tracer.hpp.

## Member Data Documentation

## _type

EngineType Gecode::SearchTracer::EngineInfo::_type

protected

The engine type.

Definition at line 205 of file search.hh.

## _fst

unsigned int Gecode::SearchTracer::EngineInfo::_fst

protected

First worker or engine.

Definition at line 207 of file search.hh.

## _lst

unsigned int Gecode::SearchTracer::EngineInfo::_lst

protected

Last worker or engine.

Definition at line 209 of file search.hh.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/tracer.hpp